﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ScrumViewer.Models
{
    public class Card
    {
        public int No { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }
        public int State { get; set; }
        public int Priority { get; set; }
        public TeamMember Developer { get; set; }
        public TeamMember Creator { get; set; }
        public DateTime DateCreated { get; set; }
        public Sprint Sprint { get; set; }
        public String Note { get; set; }

        public Card()
        {
            
        }              

        public Card(int no, string title, string description, int state, int priority, TeamMember creator, Sprint sprint)
        {
            No = no;
            Title = title;
            Description = description;
            State = state;
            Priority = priority;
            Creator = creator;
            Sprint = sprint;
        }

        public virtual string GetId()
        {
            return "C" + No;
        }
    }
}
