﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ScrumViewer.Models 
{ 
    public class StoryState
    {
        public StoryState Next { get; set; }
        public StoryState Previous { get; set; }
        public List<UserStory> UserStories { get; set; }
        public string Name { get; set; }

        public StoryState(StoryState previous, StoryState next, string name)
        {
            Previous = Previous;
            Next = next;
            UserStories = new List<UserStory>();
            Name = name;
        }

        public void AddStory(UserStory story)
        {
            story.State = 0;
            UserStories.Add(story);
        }

        public bool RemoveStory(UserStory story)
        {
            return UserStories.Remove(story);
        }
    }
}
