﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace ScrumViewer.Models
{
    public abstract class BacklogItem : Card
    {
        public int EstimatedHours { get; set; }
        public int UsedHours { get; set; }
        public DateTime DateTimeStarted { get; set; }

        public BacklogItem()
        {

        }

        public BacklogItem(int no, string title, string description, int state, int priority, TeamMember creator, int estimatedHours, DateTime datetimeStartet, Sprint sprint) : base(no, title, description, state, priority, creator, sprint)
        {
            EstimatedHours = estimatedHours;
            DateTimeStarted = datetimeStartet;
        }
    }
}
