﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.Extensions.DependencyInjection;
using ScrumViewer.Models;

namespace ScrumViewer.Models
{
    public class UserStory : BacklogItem
    {
       
        public string Story { get; set; }
        public string AcceptanceCriteria { get; set; }
        public int BusinessValue { get; set; }
        public string StoryPoints { get; set; }
     
       
       
   
       
   
 

        //private static int nextId = 1;

        public UserStory()
        {
            
        }

        public UserStory(int no, string title, string description, int state, int priority, TeamMember creator, int estimatedHours, string story, string acceptanceCriteria, int businessValue, DateTime dateStarted, string storyPoints, Sprint sprint) : base(no, title, description, state, priority, creator, estimatedHours, dateStarted, sprint)
        {
            Story = story;
            AcceptanceCriteria = acceptanceCriteria;
            BusinessValue = businessValue;
            StoryPoints = storyPoints;
        }

        public override string GetId()
        {
            return "U" + No;
        }

        //public Card(string title, string description, string story, string acceptanceCriteria, int businessValue, DateTime dateCreated, int priority, string storyPoints)
        //{
        //    //No = nextId++;
        //    Title = title;
        //    Description = description;
        //    Story = story;
        //    AcceptanceCriteria = acceptanceCriteria;
        //    BusinessValue = businessValue;
        //    DateCreated = dateCreated;
        //    Priority = priority;
        //    StoryPoints = storyPoints;
        //    //SprintIcon = "icon-sprint2";  //default pt
        //    DriverImg = "/img/heho.jpg";    //default pt
        //    EstimatedHours = 10;  //default pt
        //    DateDoingStarted=DateTime.Now;
        //}
    }
}
